# Generated from patron-0.4.18.gem by gem2rpm -*- rpm-spec -*-
%global gem_name patron

Name: rubygem-%{gem_name}
Version: 0.4.20
Release: 4%{?dist}
Summary: Patron HTTP Client
License: MIT
URL: https://github.com/toland/patron
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch0: fix_patron_segfault.patch
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.2.0
BuildRequires: ruby-devel 
%if 0%{?fedora} <= 21 || 0%{?el7}
BuildRequires: rubygem(rspec)
%else
BuildRequires: rubygem(rspec2)
%endif
BuildRequires: libcurl-devel
%if 0%{?fedora} <= 20 || 0%{?el7}
Provides: rubygem(%{gem_name}) = %{version}
%endif

%description
Ruby HTTP client library based on libcurl.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}
%patch0 -p1

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%if 0%{?fedora} > 0
mkdir -p %{buildroot}%{gem_extdir_mri}
cp -ar .%{gem_extdir_mri}/{gem.build_complete,patron} %{buildroot}%{gem_extdir_mri}/
%endif

%if 0%{?rhel} >= 7
mkdir -p %{buildroot}%{gem_extdir_mri}/lib
cp -ar .%{gem_instdir}/lib/patron %{buildroot}%{gem_extdir_mri}/lib
%endif

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/

rm -f %{buildroot}%{gem_instdir}/{.gitignore,.autotest,.rspec,Gemfile.lock}


# Run the test suite
%check
pushd .%{gem_instdir}
# Disable failing ssl tests
sed -i '247,261d' spec/session_ssl_spec.rb
%if 0%{?fedora} <= 21 || 0%{?el7}
rspec -Ilib spec
%else
rspec2 -Ilib spec
%endif
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_extdir_mri}
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/Gemfile

%files doc
%doc %{gem_docdir}
%{gem_instdir}/script
%{gem_instdir}/spec
%{gem_instdir}/Rakefile
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/pic.png

%changelog
* Mon Jul 02 2018 Trevor Vardeman <tvardema@redhat.com> - 0.4.20-4
- Rebuilt for ppc64le enablement

* Fri Jun 05 2015 Graeme Gillies <ggillies@redhat.com> - 0.4.20-3
- Dropped rubygem-patron-fix-base-url-concatonation.patch as it causes faraday
  to fail

* Mon Jun 01 2015 Graeme Gillies <ggillies@redhat.com> - 0.4.20-2
- Added in patch to fix broken tests

* Tue Feb 17 2015 Graeme Gillies <ggillies@redhat.com> - 0.4.18-1
- Initial package
